One row per LIVE with GMV and engagement for the range, by GMV
GET
/api/public/v1/tik_tok_shop/livesConnectorAnswers empty results in the documented shape until the brand switches on this connection.
Operation id listTikTokShopLives
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/lives?start_date=2026-11-01&end_date=2026-11-01" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| start_date | query | string (date) | required |
| end_date | query | string (date) | required |
| page | query | integer | Default 1 |
| per_page | query | integer | Default 20 |
| search | query | string | |
| campaign_id | query | integer | |
| creator_id | query | integer | |
| platform | query | string | One of growiallnon_growi Default growi |
| organization_id | query | integer | |
| external_creator_id | query | string | |
| connected_account_id | query | integer | |
| gmv_min | query | number | |
| gmv_max | query | number |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| additional_data | object | required |
| additional_data.currency | string, nullable | |
| additional_data.currency_symbol | string | |
| additional_data.total_commission | number | |
| additional_data.total_gmv | number | |
| additional_data.total_items_refunded | integer | |
| additional_data.total_refunded_amount | number | |
| additional_data.total_sku_orders | integer | |
| additional_data.total_units_sold | integer | |
| data | array of object | required |
| data[].[].affiliate_avatar_url | string | |
| data[].[].affiliate_email | string | |
| data[].[].affiliate_id | integer, nullable | |
| data[].[].affiliate_name | string | |
| data[].[].aov_amount | integer | |
| data[].[].average_gmv_per_customer_amount | integer | |
| data[].[].average_viewing_duration | string, nullable | |
| data[].[].comment_count | integer | |
| data[].[].connected_account | object | |
| data[].[].connected_account.id | integer, nullable | |
| data[].[].connected_account.profile_share_url | string | |
| data[].[].connected_account.username | string | |
| data[].[].duration | string | |
| data[].[].end_time | string, nullable | |
| data[].[].engagement_rate | string, nullable | |
| data[].[].external_creator_id | string, nullable | |
| data[].[].external_id | string | |
| data[].[].external_product_id | string, nullable | |
| data[].[].gpm_amount | integer | |
| data[].[].id | integer | |
| data[].[].impression_count | integer | |
| data[].[].item_refunded_count | integer | |
| data[].[].like_count | integer | |
| data[].[].live_product_click_through_rate | string, nullable | |
| data[].[].live_product_impressions_count | integer | |
| data[].[].product | object, nullable | |
| data[].[].product_clicks_count | integer | |
| data[].[].product_sold_count | integer | |
| data[].[].share_count | integer | |
| data[].[].start_time | string, nullable | |
| data[].[].tap_through_rate | string, nullable | |
| data[].[].title | string, nullable | |
| data[].[].total_commission | number | |
| data[].[].total_commission_formatted | string | |
| data[].[].total_gmv | number | |
| data[].[].total_gmv_formatted | string | |
| data[].[].total_items_refunded | integer | |
| data[].[].total_items_refunded_formatted | string | |
| data[].[].total_live_gmv | number | |
| data[].[].total_live_gmv_formatted | string | |
| data[].[].total_product_card_gmv | number | |
| data[].[].total_product_card_gmv_formatted | string | |
| data[].[].total_refunded_amount | number | |
| data[].[].total_refunded_amount_formatted | string | |
| data[].[].total_sku_orders | integer | |
| data[].[].total_sku_orders_formatted | string | |
| data[].[].total_units_sold | integer | |
| data[].[].total_units_sold_formatted | string | |
| data[].[].truncated_title | string | |
| data[].[].unique_viewer_count | integer | |
| meta | object | required |
| meta.current_page | integer | |
| meta.next_page | integer, nullable | |
| meta.prev_page | integer, nullable | |
| meta.row_count | integer | |
| meta.total_pages | integer |
Example
{
"additional_data": {
"currency": "usd",
"currency_symbol": "string",
"total_commission": 125.5,
"total_gmv": 125.5,
"total_items_refunded": 3,
"total_refunded_amount": 125.5,
"total_sku_orders": 3,
"total_units_sold": 3
},
"data": [
{
"affiliate_avatar_url": "https://example.com/p/1",
"affiliate_email": "creator@example.com",
"affiliate_id": 1024,
"affiliate_name": "Example name",
"aov_amount": 3,
"average_gmv_per_customer_amount": 3,
"average_viewing_duration": "string",
"comment_count": 3,
"connected_account": {
"id": 1024,
"profile_share_url": "https://example.com/p/1",
"username": "Example name"
},
"duration": "string",
"end_time": "string",
"engagement_rate": "string",
"external_creator_id": "string",
"external_id": "string",
"external_product_id": "string",
"gpm_amount": 3,
"id": 1024,
"impression_count": 3,
"item_refunded_count": 3,
"like_count": 3,
"live_product_click_through_rate": "string",
"live_product_impressions_count": 3,
"product": {},
"product_clicks_count": 3,
"product_sold_count": 3,
"share_count": 3,
"start_time": "string",
"tap_through_rate": "string",
"title": "string",
"total_commission": 125.5,
"total_commission_formatted": "string",
"total_gmv": 125.5,
"total_gmv_formatted": "string",
"total_items_refunded": 3,
"total_items_refunded_formatted": "string",
"total_live_gmv": 125.5,
"total_live_gmv_formatted": "string",
"total_product_card_gmv": 125.5,
"total_product_card_gmv_formatted": "string",
"total_refunded_amount": 125.5,
"total_refunded_amount_formatted": "string",
"total_sku_orders": 3,
"total_sku_orders_formatted": "string",
"total_units_sold": 3,
"total_units_sold_formatted": "string",
"truncated_title": "string",
"unique_viewer_count": 3
}
],
"meta": {
"current_page": 1,
"next_page": 1,
"prev_page": 1,
"row_count": 3,
"total_pages": 1
}
}Errors: 401422with an error and usually a message. See errors.
Example values are made up from each field's type and name.